
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

.only-mobile{
  display: none;
}

main{
  /* margin-top: 109px; */
}

#preloader {
  position: fixed;
  top: 0; left: 0; right: 0; bottom: 0;
  background-color: black;
  display: flex;
  flex-direction: column; 
  justify-content: center;
  align-items: center;
  z-index: 9999;
  transition: opacity 0.5s ease, visibility 0.5s;
}

/* #footer-cherry {
  width: 100px; 
  margin-bottom: 3%;
  animation: cherryBounce 3s ease-in-out infinite;
} */

.loader{
  margin-top: 35px;
}

@keyframes cherryBounce {
  0%, 20%, 50%, 80%, 100% {
    transform: translateY(0);
  }
  40% {
    transform: translateY(-10px); /* підскок */
  }
  60% {
    transform: translateY(-5px);
  }
}

.loader {
  width: 50px;
  height: 50px;
  border: 5px solid white;
  border-top: 5px solid #4e2603;
  border-radius: 50%;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

#preloader.hidden {
  opacity: 0;
  visibility: hidden;
}



@font-face {
  font-family: 'Soroka';
  src: url('./fonts/SOROKA.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Vinnytsia Sans Bold';
  src: url('./fonts/VinnytsiaSans-Bold.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Vinnytsia Sans Regular';
  src: url('./fonts/VinnytsiaSans-Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}


/* пупупу */

html, body {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
}

body {
  font-family: 'Vinnytsia Sans Regular', sans-serif;
  background-color: rgba(255, 213, 176, 1);
  line-height: 1.5;
  overflow: auto; /* Включає прокрутку */
  -ms-overflow-style: none; /* IE та Edge */
  scrollbar-width: none; /* Firefox */
  padding-top: env(safe-area-inset-top);
  cursor: default;
  /* background-color: #000; */
}

html::-webkit-scrollbar, body::-webkit-scrollbar {
  display: none;
}

html{
    scroll-behavior: smooth;
}



.container {
  max-width: 450px; 
  width: 100%;
  margin: 0 auto;
  padding: 0 5vw;
}


/* ХЕРО */

.hero {
  position: relative;
  height: 100vh;
  background: url('./images/backhero.png') center/cover no-repeat;
  /* background: url('./images/heroback.svg') center/cover no-repeat; */
  width: 100vw;
  overflow: hidden;
}

.hero-button a{
  display: flex;
  max-width: 340px;
  height: 53px;
  padding: 18px 106px 17px 107px;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  border-radius: 180px;
  background: var(--beige, #FFD5B0);  
  z-index: 3;



  color: var(--red, #D52B2B);
  text-align: center;


  font-family: "Vinnytsia Sans Bold";
  text-decoration: none;
  font-size: 18px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;

  margin: 0 auto;

} 

.hero-button{
  width: 100vw;
  /* background-color: #111; */
  bottom: 3%; 
  /* left: 7%; */
  left: 0vw;
  /* right: 5vw; */
  position: absolute;
  
}



/* 1) Градієнт */
.hero-overlay{
  position:absolute; inset:0;
  z-index:1; pointer-events:none;
}



/* 3) Контент поверх усього */
.hero-content{ position:relative; z-index:3; }



.hero-center{
  width: 100%;
  height: 80px;
  margin-top: 90%;
  font-family: "Vinnytsia Sans Regular";

}

.hero-center img{
  width: 350px;
}

.hero-center p {
color:  #FFF9EF;
text-align: center;

font-size: 21.756px;
font-style: normal;
font-weight: 200;
line-height: normal;
margin-top: 4px;
}

@media (max-width: 375px){
  .hero-center{
    margin-top: 70%;
  }
}



/* 
/* .hero-date p{
  color: var(--White, #FFF9EF);
  font-family: Soroka;
  font-size: 24px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  width: fit-content;
  text-align: center;
} */ 



/* ВАЖЛИВО: не піднімати текстуру разом з усім іншим */
/* .hero > *:not(.hero-overlay):not(.hero-texture){
  position: relative;
  z-index: 998;
  color: #FFF9EF;
} */





/* PARTNERS */


.partners {
  position: relative; 
  background-color: rgba(255, 213, 176, 1);
  overflow: hidden;
  margin-top: 40px;
  margin-bottom: 48px;
}

.partners h2 {
    color: var(--color-black-solid, #D52B2B);
    font-family: "Vinnytsia Sans Bold";
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    margin-bottom: 24px;
    text-align: center;
}

.partners-logos {
  overflow: hidden;
  white-space: nowrap;
  position: relative;
  width: 100%;
  height: 100px; /* Висота для треку */
}

.logos-track {
  display: inline-flex;
  white-space: nowrap;
  animation: scrollLeft 20s linear infinite; /* Швидкість скролу */
}

.logos-track img {
  width: 120px;
  height: 80px;
  object-fit: contain;
  margin-right: 20px;
  background-color: rgba(255, 213, 176, 1);;
  padding: 5px;
  box-sizing: border-box;
}

@keyframes scrollLeft {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}



/* .partners {
  position: relative; 
  background-color: rgba(255, 213, 176, 1);
  overflow: hidden;
  margin-top: 60px;
  margin-bottom: 10px;
}

.partners h2 {
    color: var(--color-black-solid, #D52B2B);
    font-family: "Vinnytsia Sans Bold";
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    margin-bottom: 24px;
    text-align: center;
}

.partners-logos {
  overflow: hidden;
  white-space: nowrap;
  position: relative;
  width: 100%;
  height: 150px; 
}

.logos-track {
  display: inline-flex;
  white-space: nowrap;
  animation: scrollLeft 20s linear infinite; 
}

.logos-track img {
  width: fit-content;
  height: 70px;
  object-fit: contain;
  margin-right: 20px;
  
  
  box-sizing: border-box;
  
}

@keyframes scrollLeft {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
} */





/* PROGRAM */

.program {
  margin-bottom: 48px;
}

.program h2 {
  color: var(--red, #D52B2B);
  text-align: center;

 
  font-family: "Vinnytsia Sans Bold";
  font-size: 32px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  margin-bottom: 20px;
}

.program p{
  color: var(--red, #D52B2B);
  text-align: center;

  /* H3/Bold/24 */
  font-family: "Vinnytsia Sans Bold";
  font-size: 24px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;

  margin-bottom: 16px;
}

.program-1{
  width: 100%;
  margin-bottom: 50px;
}

.program-buttons{
  width: 100%;
  margin-bottom: 20px;
}

.program-buttons button {
    color: #F85E71;
    border-color: #F85E71;
    /* color: #F85E71;
    border-color: #F85E71; */
    border-style:solid;
    border-width: 1px;
    text-align: center;
    /* Body text/Bold/18 */
    font-family: "Vinnytsia Sans Bold";
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    /* width: 48%; */
    height: 46px;
    background-color: transparent;
    border-radius: 60px;
    margin-top: 7px;
    padding: 14px 18px;
}

@media (max-width: 400px) {
  .program-buttons button {
    padding: 8px 12px;
  }
}

.program-buttons .choosed-button{
  color: white;
  background-color: #F85E71;
  /* background-color: #F85E71; */
}

.program ul {
  display: flex;
  flex-direction: column;
  gap: 0;               /* прибираємо відстань між рядками */
  padding: 0;
  margin: 0;

  font-family: 'Vinnytsia Sans Regular';
}

.program ul li {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 8px 0;       /* відступи по вертикалі */
  list-style: none;
  border-bottom: 1px solid rgba(0, 0, 0, 0.7); /* тонка лінія */
  font-family: "Vinnytsia Sans Regular", sans-serif;
  height: 90px;
}


.program ul li span {
  color: #311510;
  /* font-size: 16px; */
  /* font-weight: 700; */
  font-size: 20px;
  font-style: normal;
  /* font-weight: 400; */
  line-height: normal;
  
}

.program ul li p {
  font-size: 16px;
  /* width: 190px; */
  /* font-family: "Vinnitsya Sans Regular"; */
  color: #311510;
  display: flex;
  justify-content: center;
  text-align: right;
  font-style: normal;
  /* font-weight: 400; */
  line-height: normal;
  /* background-color: #520D0A; */
  margin-top: auto;
  margin-bottom: auto;
}

.program .program-list.mode-main {
  text-align: center;
}

.program .program-list.mode-main p{
    /* font-weight: 100; */
    font-size: 20px;
}

.program .program-list.mode-other .time{
  width: 120px;
  /* background-color: #D52B2B; */
}
.program .program-list.mode-other .title{
  width: 200px;
  /* background-color: #F82F2F; */
  text-align: center;
  /* justify-content: end; */
}

/* останній рядок тільки в Головній сцені */
.program .program-list.mode-main > li.program-row:last-child .title{
  text-decoration: underline;   
  font-size: 24px;      
  /* color:#311510; */
}



.program-row {
  display: flex;
  justify-content: space-between;
  align-items: center;
  list-style: none;
  padding: 10px 0;
  border-bottom: 1px solid rgba(66, 28, 0, 0.7); /* темно-коричневий */
  font-family: Vinnytsia Sans Regular;
}
.program-row span {
  font-size: 18px;
  font-weight: 700;
}
.program-row p {
  font-size: 16px;
  font-weight: 400;
  margin: 0;
}




/* центрований рядок */
.program-row--center{
  justify-content:center;
}
.program-row--center p{
  width:100%;
  text-align:center;
}

/* жирне для виділених частин */
/* .program-row p strong,
.program-row span strong{ font-weight:800; }
 */










/* CTA-кнопка між рядками тільки для «Активності» та «Форум сцена» */
.program-cta-row {
  list-style: none;
  display: flex;
  justify-content: center;
  padding: 8px 0 12px; /* трішки повітря навколо пілюлі */
  border-bottom: 1px solid rgba(66, 28, 0, 0.7);
  width: 100%;
}
.program-cta {
  display: inline-block;
  padding: 14px 22px;
  border-radius: 999px;
  text-transform: uppercase;
  font-weight: 800;
  letter-spacing: .5px;
  text-decoration: none;
  background: #FFEFE3;      /* світла пілюля */
  color: #D52B2B;           /* червоний текст */
  -webkit-tap-highlight-color: transparent;
  width: 100%;
  text-align: center;
  font-size: 16px;
}


.program-time{
  text-align:center;
  font-family: "Vinnytsia Sans Bold", Inter, system-ui;
  font-weight: 700;
  font-size: 24px;
  
  color: #D52B2B;
  line-height: 1;
  letter-spacing: .3px;
  margin: 40px 0 8px;   /* під табами — перед списком */
}

.program-activities{
  text-align:center;
  font-family: "Vinnytsia Sans Bold", Inter, system-ui;
  font-weight: 700;
  font-size: 24px;
  
  color: #D52B2B;
  line-height: 1;
  letter-spacing: .3px;
  margin: 40px 0 8px;   /* під табами — перед списком */
}
.program-time:empty{ display:none; }




/* .program ul {
  display: flex;
  flex-direction: column;
  gap: 16px;
  width: 100%;
  padding: 0;
  margin: 0;
}

.program ul li {
  background: #520D0A;
  color: white;
  border-radius: 8px;
  padding: 16px;
  list-style-type: none;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  font-family: 'Vinnytsia Sans';
}

.program ul li span {
  font-size: 24px;
  font-weight: normal;
  margin-bottom: 8px;
}

.program ul li p {
  font-size: 12px;
  margin: 0;
} */

.program ul li small {
  font-size: 12px;
  opacity: 0.7;
  margin-top: 4px;
}



/* INFO */

.info-section {
  margin-bottom: 48px;
}

.info-section h2 {
    color: var(--color-black-solid, #D52B2B);
    font-family: "Vinnytsia Sans Bold";
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    margin-bottom: 24px;
    text-align: center;
}

.info-block {
  margin-bottom: 32px;
}

.info-block h3 {
  color: var(--color-black-solid, #D52B2B);
  font-family: "Vinnytsia Sans Bold";
  font-size: 24px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  margin-bottom: 12px;
  text-align: center;
}

.info-block p {
  font-size: 14px;
  line-height: 1.5;
  word-wrap: break-word; /* Перенос слів */
  overflow-wrap: break-word;
  max-width: 100%; /* Обмеження ширини */
  font-family: 'Vinnytsia Sans Regular';
  margin-bottom: 60px;
}


.info-map, .info-rules {
  position: relative;
}

.info-map img, .info-rules img {
  width: 100%;
  border-radius: 8px;
  cursor: pointer;
}

.info-map p, .info-rules p {
  font-size: 10px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  text-transform: uppercase;
  text-align: center;
}

.info-block p {
  font-size: 14px;
  line-height: 1.5;
}







/* COLLECTION */

.collection{
  margin-top: 38px;
  margin-bottom: 48px;
}

.collection-scroll::-webkit-scrollbar {
  display: none; /* Chrome, Safari, Opera */
}

.collection-scroll {
  -ms-overflow-style: none;  /* IE 10+ */
  scrollbar-width: none;     /* Firefox */
  /* height: 350.1px; */
}

.collection h2, .collection h3 {
    color: var(--color-black-solid, #D52B2B);
    font-family: "Vinnytsia Sans Bold";
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    margin-bottom: 24px;
    text-align: center;
  /* margin-bottom: 24px; */
}



.collection h3 {
  font-size: 16px;
  font-weight: normal;
  margin-top: 20px;
  text-transform: none;
  font-family: 'Vinnytsia Sans';
  margin-bottom: 15px;
}

.collection h3 span {
  /* background: #520D0A; */
  color:#520D0A;
  font-weight: bold;
}


.collection-scroll {
  display: flex;
  gap: 16px;
  overflow-x: auto;
  padding-bottom: 16px;
  scroll-snap-type: x mandatory;
}

.collection-item {
  flex: 0 0 auto;
  height: 380px;
  width: 259px;
  background-color: rgba(255, 213, 176, 1);
  border-radius: 8px;
  text-align: center;
  position: relative;
  /* background-color: saddlebrown; */
}

.collection-other{
  height: 380px;
  width: 259px;
}

.collection-item img {
  width: 259px; /* Фіксована ширина */
  height: 251px; /* Висота картинки */
  object-fit: cover;
  border-radius: 8px;
}

.collection-item p {
  margin-top: 8px;
  color: #D52B2B;
  text-align: center;
  font-family: "Vinnytsia Sans Bold";
  font-size: 24px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  width: 100%;
  margin-bottom: 10px;
  /* background-color: #000; */
}

.collecton-item-desc{
  color: var(--black, #311510);
  font-family: "Vinnytsia Sans Regular";
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}




.pagination {
  display: flex;
  justify-content: center;
  margin-top: 20px;
  gap: 8px;
  font-family: 'Vinnytsia Sans';
}

.pagination button {
  padding: 8px 12px;
  border: 1px solid #520D0A;
  background-color: #fff;
  color: #520D0A;
  border-radius: 4px;
  cursor: pointer;
  font-family: 'Vinnytsia Sans';
}

.pagination button.active {
  background-color: #520D0A;
  color: #fff;
}

.pagination button:disabled {
  background-color: #e0e0e0;
  color: #999;
  cursor: not-allowed;
}


/* FOOTER */
.footer {
  background-color: #111;
  color: white;
  text-align: center;
  padding: 40px 20px;
  font-family: 'Vinnytsia Sans', sans-serif;
  /* min-height: 100vh; Або просто видали висоту */
  display: flex;
  flex-direction: column;
  justify-content: space-between; /* Щоб контент футера рівномірно розподілився */
  /* margin-top: 109px; */
}


.footer h2 {
  font-size: 24px;
  margin-bottom: 5px;
  font-family: Soroka;
  margin-top: 30px;
}

.footer svg {
  /* background-color: #000; */

  margin: 50px auto;
} 
.footer p {
  margin-bottom: 20px;
}

.copyright{
  font-family: Vinnytsia Sans Bold;
}

.contacts {
  text-align: center; /* Вирівнюємо текст ліворуч */
  max-width: 300px;
  margin: 0 auto; /* Центруємо блок, але текст ліворуч */
}

.contacts p {
  font-weight: bold;
  margin-bottom: 18px;
  font-family: Vinnytsia Sans Bold;
}

.contacts a {
  display: flex;
  color: white;
  text-decoration: none;
  margin: 10px auto;
  height: fit-content;
  /* background-color: #311510; */

}

.contacts img{
  width: 18px;
  height: 19px;
  margin-top: 2px;
}

.contacts p {
  margin-left: 7px;
}



.donate-btn {
  position: fixed;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 1000;

  background-color: rgba(82, 13, 10, 0.8); /* напівпрозорий бордовий */
  backdrop-filter: blur(5px); /* легке розмиття фону */
  color: white;
  padding: 15px 20px;
  border: none;
  border-radius: 10px;
  font-size: 16px;
  font-family: 'Vinnytsia Sans';
  cursor: pointer;
  width: calc(100% - 40px); 
  max-width: 300px;
  box-shadow: 0 4px 6px rgba(0,0,0,0.3); /* легка тінь для підняття */
  transition: background-color 0.3s ease; /* плавна зміна кольору */
}

.donate-btn:hover {
  background-color: rgba(82, 13, 10, 1); /* повний колір при наведенні */
}

.donate-hide{
  display: none;
}


/* .donate-btn {
  display: block;
  width: 90%;
  max-width: 300px;
  background-color: #520D0A;
  color: white;
  padding: 15px 20px;
  border: none;
  border-radius: 10px;
  margin: 30px auto 0;
  cursor: pointer;
  font-size: 16px;
  font-family: 'Vinnytsia Sans';
} */

.credits {
  margin-top: 10px;
  font-size: 12px;
  color: #ccc;
  text-align: center;
  height: auto;
  font-family: Vinnytsia Sans Regular;
}

.credits p #badasya{
  color: lightblue;
}

.credits p #liliia{
  color: #D52B2B;
}

#footer-cherry {
  display: block;
  margin: 10px auto 40px;
  width: 120px;
  animation: float 3s ease-in-out infinite; /* Додаємо анімацію для черешень */
}


@keyframes float {
  0%, 100% { transform: translateY(0); }
  50% { transform: translateY(-10px); }
}

/* Хедер */
.header {
  display: flex;
  position: fixed;
  left: 0;
  top: 0;
  z-index: 999;

  width: 100vw;
  height: 118px;
  justify-content: space-between;
  align-items: center;
  color: white;
  background: #FFD5B0;
  box-shadow: 0 4px 11.1px 0 rgba(183, 45, 55, 0.22);
  padding: clamp(10px, 3vw, 20px);
  padding-top: 40px;
}

.main-logo{
  width: 200px;
  height: 30px;
}

.logo {
  font-size: 20px;
  font-weight: 400;
  font-family: Soledago;
  letter-spacing: 2px;
  line-height: normal;
  font-style: normal;
  position: relative;
  z-index: 5;
  display: flex;

  /* background-color: #D52B2B; */

  align-items: center;
}

.molodi{
  width: 84px;
  height: 84px;
}

.menu-toggle {
  background: none;
  border: none;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  gap: 5px;
  z-index: 1100;
  position: relative;
}

.burger-line {
  width: 30px;
  border-radius: 10px;
  font-family: Soroka;
  height: 4px;
  /* background-color: rgba(71, 12, 7); */
  background-color: #F82F2F;
  transition: 0.3s ease;
}

.menu-toggle.active .line1 {
  transform: rotate(45deg) translate(5px, 5px);
}

.menu-toggle.active .line2 {
  opacity: 0;
}

.menu-toggle.active .line3 {
  transform: rotate(-45deg) translate(8px, -8px);
}

body.menu-open {
  overflow: hidden;
  transition: transform 0.1s ease;
}

.mobile-menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: #FFD5B0; /* Темний фон */
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  transform: translateX(-100%);
  transition: transform 0.6s ease;
  z-index: 4;
}

.mobile-menu.show {
  transform: translateX(0);
}


.mobile-menu ul {
  list-style: none;
  padding: 0;
  text-align: center;
  /* background-color: #111; */
  height: 60vh;
}

.mobile-menu li a {
  color: #311510;
  font-family: 'Vinnytsia Sans Regular';
  text-decoration: none;
  display: block;
  padding: 30px 20px;

  font-size: 32px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}




/* Секції */
section {
  margin-top: 40px;

}


h1, h2 {
  font-size: clamp(20px, 5vw, 32px);
  margin-bottom: clamp(10px, 3vw, 20px);
}

p, li {
  font-size: clamp(14px, 4vw, 18px);
}



@media (max-width: 320px) {
  .container { max-width: 100%; }
  .hero p{
    width: 280px;
  }
  .info-map p, .info-rules p {
    font-size: 9px;
  }

  .mobile-menu li a {
    font-size: 18px;
  }
}


@media (min-width: 451px) {

  .header{
    display: none;
  }
  main{display: none;}
  footer{display: none;}
  body{
    background-color: #444;
  }

  .only-mobile{
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    background-color: #FFD5B0;
    width: 100%;
    height: 100vh;
  }

  .only-mobile-container{
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    justify-content: center;
    text-align: center;
    align-items: center;
  }

  .only-mobile-container img{
    margin-top: 100px;
    width: 300px;
  }

  .only-mobile h1{
    font-family: Soroka;
    line-height: 48px;
    font-size: 50px;
    letter-spacing: 1px;
    font-weight: 400;
    margin-top: 35px;
    color: rgb(0, 0, 0);
  }

  .only-mobile h2{
    color: #F82F2F;
    width: auto;
    font-family: 'Vinnytsia Sans Bold';
    margin-top: 50px;
  }
}
